<!-- 
 ###############################################################################
 File: home.tpl
 Project: client
 File Created: Friday, 23rd October 2020 6:47:13 pm
 Author: Thomas Brinkmann (doyl@dsh.icu)
 -----
 Last Modified: Tuesday, 16th March 2021 12:33:45 pm
 Modified By: Thomas Brinkmann (doyl@dsh.icu>)
 -----
 Copyright 2020 - Thomas Brinkmann. All Rights Reserved.
 -----
 License Text 
 Es ist Ihnen untersagt diese Software zu kopieren, manipulieren, verbreiten oder anderweitig ohne ausdrückliche Erlaubnis zu nutzen.
 Sie dürfen ebenfalls nicht den Copyright Hinweis entfernen. 
 
 It is prohibited to copy, manipulate, distribute or otherwise use this software without express permission.
 You may also not remove the copyright notice. 
 -----
 ###############################################################################
 -->
<link rel="stylesheet" href="modules/servers/dshreseller/Templates/assets/css/main.css">

<div class="row row-eq-height">

    <div class="col-md-7">
        <div id="cStatus" class="card my-3 shadow b-0 r-0 card-connecting">
            <div class="card-body text-center">
                <h4><strong>  {$product} </strong></h4>
                <small>{$domain}</small>
                <div id="cLoader" class="conanloader mt-4 mb-4"></div>
                <div id="cIcon" class="card-icon hidden">
                    <i class="fab {if $username eq 'Administrator' || $username eq 'administrator'}fa-windows{else}fa-linux{/if}"></i>
                </div>
                <div id="actions mt-4" class="actions">
                    <button id="startBtn" class="btn btn-success hidden" onclick="startServer();">Start</button>
                    <button id="restartBtn" class="btn btn-warning hidden" onclick="restartServer();">Restart</button>
                    <button id="stopBtn" class="btn btn-danger hidden" onclick="stopServer();">Stop</button>
                    <button id="cancelBtn" class="btn btn-danger hidden" onclick="cancelReinstallServer();">Cancel current installation</button>
                </div>
            </div>
            <div id="sStatus" class="card-footer text-center status status-connecting">
                <span class="ServiceStatus">{$addonlang.Connecting} </span>
            </div>
        </div>
    </div>



     <div class="col-md-5">
        <div class="card my-3 shadow no-b r-0">
            <h4 class="pstatusblock">
                <span class="pstatus {$status} float-right font-weight-bold">{$status}</span>
            </h4>
            <div class="card-body">
                <h4 class="text-center"><strong> {$addonlang.ServerInfo} </strong></h4>
                <span class="stats">
                    <li>
                        {$addonlang.MainIP}
                        <span class="float-right font-weight-bold">{$dedicatedip}</span>
                    </li>
                    <li>
                        {$addonlang.Username}
                        <span class="float-right font-weight-bold">{$username}</span>
                    </li>
                    <li>
                        {$addonlang.Password}
                        <span class="float-right font-weight-bold">{$password}</span>
                    </li>
                    {if $showcancelbutton || $packagesupgrade}
                            <li>
                                {if $packagesupgrade}
                                    <a class="full-width {if $showcancelbutton}mb-1{/if} font-weight-bold" href="upgrade.php?type=package&amp;id={$id}">
                                        <button class="btn btn-success btn-block">{$LANG.upgrade}</button>
                                    </a>
                                {/if}
                                {if $showcancelbutton}
                                    <a class="full-width font-weight-bold" href="clientarea.php?action=cancel&amp;id={$id}">
                                        <button class="btn btn-danger btn-block {if $pendingcancellation}disabled{/if}">{if $pendingcancellation}{$LANG.cancellationrequested}{else}{$LANG.clientareacancelrequestbutton}{/if}</button>
                                    </a>
                                {/if}
                            </li>
                        {/if}
                        {if $configurableoptions}
                            <a href="#" class="full-width font-weight-bold"><button class="btn btn-block btn-success" data-toggle="modal" data-target="#configoptions" >Configurable Options</button></a>
                        {/if}
                </span>
                
            </div>
        </div>
    </div>
     
</div>



<div class="row">
    <div class="col-md-12 mt-4">
        <div class="card my-3 shadow b-0 r-0">
            <div class="card-body">
                <h4><strong> {$addonlang.MgtTools}</strong></h4>
                <span class="mgmt" data-toggle="modal" data-target="#reinstall">
                    <div>
                        <div class="icon">
                            <i class="fas fa-sync"></i>
                            <span class="title">{$addonlang.Reinstall}</span>
                        </div>
                    </div>
                </span>

                <span class="mgmt" data-toggle="modal" data-target="#rescue">
                    <div>
                        <div class="icon">
                            <i class="fas fa-tools" style="left:16px;"></i>
                            <span class="title">{$addonlang.Rescue}</span>
                        </div>
                    </div>
                </span>

                <span class="mgmt" data-toggle="modal" data-target="#DDoS">
                    <div>
                        <div class="icon">
                            <i class="fas fa-shield text-info" style="left:16px;"></i>
                            <span class="title">{$addonlang.DDoS}</span>
                        </div>
                    </div>
                </span>

            </div>
        </div>
    </div>
</div>


<div class="row row-eq-height">

    <div class="col-md-6 mt-4">
        <div class="card my-3 shadow b-0 r-0">
            <div class="card-body">
                <h4 class="text-center"><strong>  {$addonlang.NetworkInfos} </strong></h4>
                <span class="stats">
                    <li>
                        {$addonlang.MainIP}
                        <span class="float-right font-weight-bold">{$dedicatedip}</span>
                    </li>
                    <li>
                        {$addonlang.AssignedIPs}
                        <span class="float-right font-weight-bold">{$assignedips}</span>
                    </li>
                </span>
            </div>
        </div>
    </div>



     <div class="col-md-6 mt-4">
        <div class="card my-3 shadow b-0 r-0">
            <div class="card-body">
                <h4 class="text-center"><strong> {$addonlang.BillingInfos} </strong></h4>
                <span class="stats">

                    {if $firstpaymentamount neq $recurringamount}
                        <li>
                            {$LANG.firstpaymentamount}
                            <span class="float-right font-weight-bold">{$firstpaymentamount}</span>
                        </li>
                    {/if}
                    {if $billingcycle != $LANG.orderpaymenttermonetime && $billingcycle != $LANG.orderfree}
                    <li>
                        {$LANG.recurringamount}
                        <span class="float-right font-weight-bold">{$recurringamount}</span>
                    </li>
                    {/if}
                    <li>
                        {$LANG.orderbillingcycle}
                        <span class="float-right font-weight-bold">{$billingcycle}</span>
                    </li>
                    <li>
                        {$LANG.orderpaymentmethod}
                        <span class="float-right font-weight-bold">{$paymentmethod}</span>
                    </li>
                    <li>
                        {$LANG.clientareahostingregdate}
                        <span class="float-right font-weight-bold">{$regdate}</span>
                    </li>
                    <li>
                        {$LANG.clientareahostingnextduedate}
                        <span class="float-right font-weight-bold">{$nextduedate}</span>
                    </li>
                </span>
            </div>
        </div>
    </div>
     
</div>

<div class="modal fade" tabindex="-1" role="dialog" id="DDoS" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title">{$addonlang.DDOS_ModalTitle}</h5><br/>
          <small>{$addonlang.DDOS_ModalDescription}</small>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <form aria-disabled="true">
            <p>{$addonlang.DDOS_IPSelect}</p>
            <select class="form-control" name="IP" id="IP">
            </select>   
            <div class="pull-right"><i id="loadingSpin" class="fas fa-sync-alt"></i> </div><br/><br/>
            <p>{$addonlang.DDOS_Layer4_Description}</p>
            <li class="list-group-item">
                {$addonlang.DDOS_Layer4_Dynamic}
                    <div class="material-switch float-right">
                        <input id="l4Dyn" name="l4Dyn" type="checkbox">
                        <label for="l4Dyn" class="bg-dsh"></label>
                    </div>
                </li>
                <li class="list-group-item">
                    {$addonlang.DDOS_Layer4_Permanent}
                        <div class="material-switch float-right">
                            <input id="l4Perm" name="l4Perm" type="checkbox">
                            <label for="l4Perm" class="bg-dsh"></label>
                        </div>
                </li>
              <hr />
              <p>{$addonlang.DDOS_Layer7}</p><br/>
              <small>{$addonlang.DDOS_Layer7_Description}</small>

              <li class="list-group-item">
                {$addonlang.DDOS_Layer7_On}
                    <div class="material-switch float-right">
                        <input id="l7On" name="l7On" type="checkbox">
                        <label for="l7On" class="bg-dsh"></label>
                    </div>
            </li>

            <li class="list-group-item">
                {$addonlang.DDOS_Layer7_Only_On}
                    <div class="material-switch float-right">
                        <input id="l7Only_on" name="l7Only_on" type="checkbox">
                        <label for="l7Only_on" class="bg-dsh"></label>
                    </div>
            </li>
              <hr />

              <input type="text" id="rdns" name="rdns" class="form-control" placeholder="Define a rDNS Record for your IP. Only valid FQDN allowed" />

          </form>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-primary" onclick="SaveDDoSSettings();">{$addonlang.DDOS_Button_Save}</button>
          <button type="button" class="btn btn-secondary" onclick="getDDoSStatus();">{$addonlang.DDOS_Button_Status}</button>
          <button type="button" class="btn btn-secondary" data-dismiss="modal">{$addonlang.DDOS_Button_Close}</button>
        </div>
      </div>
    </div>
  </div>


<div class="modal fade" tabindex="-1" role="dialog" id="reinstall" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">{$addonlang.ReinstallModalHeader}</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <p>{$addonlang.ReinstallModelDescription}</p>
        <form>
            <div class="form-group">
                <label class="form-label">{$addonlang.RootPW}</label>
                <input class="form-control" type="text" name="rsRootPass" id="rsRootPass" value="{$rdPwd}" placeholder="{$addonlang.RootPW1Placeholder}">
            </div>
            <div class="form-group">
                <label class="form-label">{$addonlang.RootPW2}</label>
                <input class="form-control" type="text" name="rsRootPass2" id="rsRootPass2" value="{$rdPwd}" placeholder="{$addonlang.RootPW2Placeholder}">
            </div>
            <hr />
            <p>{$addonlang.OSDescription}</p>
            <div class="form-group">
                <label class="form-label">{$addonlang.OSTitle}</label>
                <select id="osSelect" class="form-control"></select>
            </div>
            <hr />
        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-primary" onclick="Reinstall()">{$addonlang.ReinstallBTN}</button>
        <button type="button" class="btn btn-secondary" data-dismiss="modal">{$addonlang.ReinstallBTNClose}</button>
      </div>
    </div>
  </div>
</div>

<div class="modal fade" tabindex="-1" role="dialog" id="rescue" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title">{$addonlang.RescueModalTitle}</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <p>{$addonlang.RescueModalDescription}</p>
          <form>
              <div class="form-group">
                  <label class="form-label">{$addonlang.RRootPW}</label>
                  <input class="form-control" type="text" name="rRootPass" id="rRootPass" value="{$rdPwd}" placeholder="{$addonlang.RootPW1Placeholder}">
              </div>
              <div class="form-group">
                  <label class="form-label">{$addonlang.RRootPW2}</label>
                  <input class="form-control" type="text" name="rRootPass2" id="rRootPass2" value="{$rdPwd}" placeholder="{$addonlang.RootPW2Placeholder}">
              </div>
              <hr />
              <p>{$addonlang.RescueModalDescription2}</p>
              <div class="form-group">
                  <label class="form-label">{$addonlang.RescueSelect}</label>
                  <select id="rsSelect" class="form-control"></select>
              </div>
              <hr />
          </form>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-primary" onclick="Rescue();">{$addonlang.RescueBTNBoot}</button>
          <button type="button" class="btn btn-secondary" data-dismiss="modal">{$addonlang.RescueBTNClose}</button>
        </div>
      </div>
    </div>
  </div>

{if $configurableoptions}
    <div class="modal fade" tabindex="-1" role="dialog" id="configoptions" aria-hidden="true">
        <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">{$addonlang.ConfigOptions}</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <span class="stats">
                    {foreach from=$configurableoptions item=configoption}
                        <li>
                            {$configoption.optionname}
                            <span class="float-right font-weight-bold">
                                {if $configoption.optiontype eq 3}{if $configoption.selectedqty}{$LANG.yes}{else}{$LANG.no}{/if}{elseif $configoption.optiontype eq 4}{$configoption.selectedqty} x {$configoption.selectedoption}{else}{$configoption.selectedoption}{/if}
                            </span>
                        </li>
                    {/foreach}
                </span>
                
            </div>
            <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">{$addonlang.ConfigOptionsBTNClose}</button>
            </div>
        </div>
        </div>
    </div>
{/if}

  {if $customfields}
  <div class="row">
    <div class="col-md-12 mt-4">
        <div class="card my-3 shadow b-0 r-0">
            <div class="card-body">
                <h4><strong> {$LANG.additionalInfo}</strong></h4>

                {foreach from=$customfields item=field}
                                            <div class="row padding-bottom-5px">
                                                <div class="col-xs-6 text-right">
                                                    {$field.name}
                                                </div>
                                                <div class="col-xs-6 text-left">
                                                    {if empty($field.value)}
                                                        {$LANG.blankCustomField}
                                                    {else}
                                                        {$field.value}
                                                    {/if}
                                                </div>
                                            </div>
                {/foreach}

            </div>
        </div>
    </div>
</div>
{/if}



                    

<script>
    var ServerId = {$serviceid};
    var Templates = {$AvTemplates|@json_encode};
    var Timer = null;

window.onload = function () {
        //Radio
        
        $('#IP').on('change', function(e){
            getDDoSStatus();
        });

        $('#l4Dyn').on('change', function(e){
            $('#l4Perm').prop('checked', !$(e.target).prop('checked'));
        });

        $('#l4Perm').on('change', function(e){
            $('#l4Dyn').prop('checked', !$(e.target).prop('checked'));
        });

        $('#l7On').on('change', function(e){
            $('#l7Off').prop('checked', !$(e.target).prop('checked'));
        });


        $('#l7Only_on').on('change', function(e){
            $('#l7Only_off').prop('checked', !$(e.target).prop('checked'));
        });


    


        //Fetch Server Status
        fetchIps();

        requestData('&modop=custom&a=installstatus', [], function(data){
            if (data.result == "success"){
                ToggleClasses('installing', data.statusmsg);
            } else {
                requestData('&modop=custom&a=serverstatus', [], function(data){
                    UpdateStatus(data.status);
                });
            }

        });

        Templates.forEach(element => {
            if (element.id != 585) {
                $('#osSelect').append(new Option(element.name, element.id));
            } else {
                $('#rsSelect').append(new Option(element.name, element.id));
            }
            
        });

}


function confirmModal(heading, question, cancelButtonTxt, okButtonTxt, callback) {

    var confirmModal = $('<div class="modal fade">' +        
        '<div class="modal-dialog">' +
        '<div class="modal-content">' +
        '<div class="modal-header">' +
            '<a class="close" data-dismiss="modal" >&times;</a>' +
            '<h3>' + heading +'</h3>' +
        '</div>' +

        '<div class="modal-body">' +
            '<p>' + question + '</p>' +
        '</div>' +

        '<div class="modal-footer">' +
            '<a href="#" class="btn" data-dismiss="modal">' + 
            cancelButtonTxt + 
            '</a>' +
            '<a href="#" id="okButton" class="btn btn-primary">' + 
            okButtonTxt + 
            '</a>' +
        '</div>' +
        '</div>' +
        '</div>' +
        '</div>');

    confirmModal.find('#okButton').click(function(event) {
    callback();
    confirmModal.modal('hide');
    }); 

    confirmModal.modal('show');    
}  

function cancelReinstallServer(){
    confirmModal("{$addonlang.Cancel_Header}", "{$addonlang.Cancel_Question}", "{$addonlang.Cancel_BtnNO}", "{$addonlang.Cancel_BtnYes}", function(){
        requestData('&modop=custom&a=cancelinstall', [], function(data){
            restartServer();
        });
    });
}

function Reinstall(){
    pass = $('#rsRootPass').val();
    pass2 = $('#rsRootPass2').val();
    rtpl = $('#osSelect').val();
    
    if (pass != pass2 || pass.length <= 8){
        $('#rsRootPass').addClass('error');
        $('#rsRootPass2').addClass('error');
        $('#rsRootPass').attr("placeholder", "{$addonlang.RootPWWrong}").val("");
        $('#rsRootPass2').attr("placeholder", "{$addonlang.RootPWWrong}").val("");
    } else {
        $('#reinstall').modal('hide');
        confirmModal("{$addonlang.Reinstall_Header}", "{$addonlang.Reinstall_Question}", "{$addonlang.Reinstall_BtnNO}", "{$addonlang.Reinstall_BtnYes}", function(){
            ToggleClasses('installing', '{$addonlang.Info_Starting_Install}');
            requestData('&modop=custom&a=servereinstall', {
                "psw": pass,
                "tpl": rtpl
            }, function(data){ 
                ToggleClasses('installing', data.statusmsg);
                Timer = setInterval(fetchStatus, 3000);
            }); // data.Server.success
        });
    }
}

function Rescue(){
    pass = $('#rRootPass').val();
    pass2 = $('#rRootPass2').val();
    rtpl = $('#rsSelect').val();
    
    if (pass != pass2 || pass.length <= 8){
        $('#rRootPass').addClass('error');
        $('#rRootPass2').addClass('error');
        $('#rRootPass').attr("placeholder", "{$addonlang.RootPWWrong}").val("");
        $('#rRootPass2').attr("placeholder", "{$addonlang.RootPWWrong}").val("");
    } else {
        $('#rescue').modal('hide');
    confirmModal("{$addonlang.Rescue_Header}", "{$addonlang.Rescue_Question}", "{$addonlang.Rescue_BtnNO}", "{$addonlang.Rescue_BtnYes}", function(){
            ToggleClasses('installing', 'Starting Rescue....');
            requestData('&modop=custom&a=servereinstall', {
                "psw": pass,
                "tpl": rtpl
            }, function(data){ 
                ToggleClasses('installing', data.statusmsg);
                Timer = setInterval(fetchStatus, 3000);
            }); // data.Server.success
        });
    }
}

function UpdateStatus(Status){
    switch (Status.toLowerCase()){

    case "powered on":
    case "powering on vm:":
    case "reset vm:":
    case "normal":
    case "chassis power is on":
        ToggleClasses(Status.toLowerCase())
        $('#cLoader').addClass('hidden');
        $('#cIcon').removeClass('hidden');
    break;

    case "powered off":
    case "powering off vm:":
    case "chassis power is off":
        ToggleClasses(Status.toLowerCase())
        $('#cLoader').addClass('hidden');
        $('#cIcon').removeClass('hidden');
    break;

    default:
        $('#startBtn').removeClass('hidden');
        $('#restartBtn').addClass('hidden');
        $('#stopBtn').addClass('hidden');
        $('#sStatus').removeClass('status-online');
        $('#cStatus').removeClass('card-online');
        $('#cancelBtn').addClass('hidden');
        $('#sStatus').removeClass('status-offline');
        $('#cStatus').removeClass('card-offline');

        $('#sStatus').addClass('status-connecting');
        $('#cStatus').addClass('card-connecting');
        $('#sStatus').html('<span class="ServiceStatus">'+Status+'</span>');
    break;
    } 


}



function ToggleClasses(status, statusmsg = "{$addonlang.Info_Installing}"){
    switch (status.toLowerCase()){

            case "on":
            case "powered on":
            case "powering on VM:":
            case "reset vm:":
            case "normal":
            case "chassis power is on":
                $('#sStatus').removeClass('status-installing');
                $('#cStatus').removeClass('card-installing');
                $('#startBtn').addClass('hidden');
                $('#restartBtn').removeClass('hidden');
                $('#stopBtn').removeClass('hidden');

                $('#sStatus').removeClass('status-connecting');
                $('#cStatus').removeClass('card-connecting');
                $('#sStatus').removeClass('status-offline');
                $('#cancelBtn').addClass('hidden');
                $('#cStatus').removeClass('card-offline');

                $('#sStatus').addClass('status-online');
                $('#cStatus').addClass('card-online');
                $('#sStatus').html('<span class="ServiceStatus">{$addonlang.Info_PowerOn}</span>');
                $('#cLoader').addClass('hidden');
                $('#cIcon').removeClass('hidden');
            break;

            case "off":
            case "powered off":
            case "powering off vm:":
            case "chassis power is off":
                $('#sStatus').removeClass('status-installing');
                $('#cStatus').removeClass('card-installing');
                $('#startBtn').removeClass('hidden');
                $('#restartBtn').addClass('hidden');
                $('#stopBtn').addClass('hidden');
                $('#sStatus').removeClass('status-connecting');
                $('#cStatus').removeClass('card-connecting');
                $('#sStatus').removeClass('status-online');
                $('#cancelBtn').addClass('hidden');
                $('#cStatus').removeClass('card-online');

                $('#sStatus').addClass('status-offline');
                $('#cStatus').addClass('card-offline');
                $('#sStatus').html('<span class="ServiceStatus">{$addonlang.Info_PowerOff}</span>');
                $('#cLoader').addClass('hidden');
                $('#cIcon').removeClass('hidden');
            break;

        	case "connecting":
                $('#sStatus').removeClass('status-installing');
                $('#cStatus').removeClass('card-installing');
                $('#sStatus').removeClass('status-online');
                $('#cStatus').removeClass('card-online');
                $('#sStatus').removeClass('status-offline');
                $('#cancelBtn').addClass('hidden');
                $('#cStatus').removeClass('card-offline');
                $('#sStatus').addClass('status-connecting');
                $('#cStatus').addClass('card-connecting');
                $('#sStatus').html('<span class="ServiceStatus">{$addonlang.Info_Connecting}</span>');
                $('#cIcon').addClass('hidden');
                $('#cLoader').removeClass('hidden');
            break;

            case "installing":
                $('#cIcon').addClass('hidden');
                $('#cLoader').removeClass('hidden');
                $('#sStatus').addClass('status-installing');
                $('#cStatus').addClass('card-installing');
                $('#startBtn').addClass('hidden');
                if (statusmsg != "Waiting for VM to reboot itself"){
                    $('#restartBtn').addClass('hidden');
                } else { $('#restartBtn').removeClass('hidden'); }
                $('#stopBtn').addClass('hidden');
                $('#cancelBtn').removeClass('hidden');

                $('#sStatus').removeClass('status-connecting');
                $('#cStatus').removeClass('card-connecting');
                $('#sStatus').removeClass('status-offline');
                $('#cStatus').removeClass('card-offline'); 
                $('#sStatus').removeClass('status-online');
                $('#cStatus').removeClass('card-online'); 
                $('#cLoader').removeClass('hidden');
                $('#cIcon').addClass('hidden');
                $('#sStatus').html('<span class="ServiceStatus">' + statusmsg + '</span><i class="fas fa-sync pull-right float-right spin360 fetchStatusIcon" onclick="fetchStatus();"></i>');
                //Waiting for VM to reboot itself

            break;
    }
}

function startServer(){
    ToggleClasses('connecting');
    requestData('&modop=custom&a=serverstart', [], function(data){
        UpdateStatus(data.Server);
    });
}

function restartServer(){
    ToggleClasses('connecting');
    requestData('&modop=custom&a=serverreset', [], function(data){
        UpdateStatus('Powered on');
    });
}

function stopServer(){
    ToggleClasses('connecting');
    requestData('&modop=custom&a=serverstop', [], function(data){
        UpdateStatus(data.Server);
    });
}

function fetchStatus(){
    requestData('&modop=custom&a=installstatus', [], function(data){
        if (data.result == "success"){
            if (Timer == null){
                Timer = setInterval(fetchStatus, 3000);
            }

            $('#sStatus').html('<span class="ServiceStatus">' + data.statusmsg + '</span><i class="fas fa-sync pull-right float-right spin360 fetchStatusIcon" onclick="fetchStatus();"></i>');
        } else {
            clearInterval(Timer);
            requestData('&modop=custom&a=serverstatus', [], function(data){
                    UpdateStatus(data.status);
            });
         }
    });
}

function getDDoSStatus(){
    $('#loadingSpin').addClass('spin360');
    requestData('&modop=custom&a=fetchddosstatus', { selectedip:  $('#IP').val() }, function(response){
        $('#l4Dyn').prop('checked', response.l4_dynamic == 'on');
        $('#l4Perm').prop('checked', response.l4_permanent == 'on');

        $('#l7On').prop('checked', response.l7_permanent == 'on');
        $('#l7Only_on').prop('checked', response.l7_only == 'on');
        $('#loadingSpin').removeClass('spin360');
    });
}

function fetchIps(){
    requestData('&modop=custom&a=fetchips', {}, function(response){
       response.IPv4.forEach(element => {
            $('#IP').append(new Option(element, element));
       }); 
       getDDoSStatus();
    });
}

function SaveDDoSSettings(){
$('#loadingSpin').addClass('spin360');
l7Only_on   = $('#l7Only_on').prop('checked');
l7On        = $('#l7On').prop('checked');
rdns        = $('#rdns').val();
l4Dyn       = $('#l4Dyn').prop('checked');
l4Perm      = $('#l4Perm').prop('checked');
IP          = $('#IP').val();

    requestData('&modop=custom&a=saveDDoSSettings', { selectedip: IP,  l4Perm: l4Perm, l4Dyn: l4Dyn, rdns: rdns, l7On: l7On, l7Only_on: l7Only_on}, function(response){
        $('#loadingSpin').removeClass('spin360');
    });
}

function requestData(url, formdata, callback){
     	$.ajax({
            type: 'POST',
            crossDomain: false,
            url: 'clientarea.php?action=productdetails&id=' + ServerId + url,
            data: formdata,
            success: function(respond){
             	callback(respond);
            },
            error: function(response){
                console.log(response);
            }
        });
    };



    

</script>